Permanently deletes a comment from a release. This action cannot be undone.
workspace_slug
The workspace_slug represents the unique workspace identifier for a workspace in Plane. It can be found in the URL. For example, in the URL https://app.plane.so/my-team/projects/, the workspace slug is my-team.
https://app.plane.so/my-team/projects/
my-team
release_id
The unique identifier for the release.
comment_id
The unique identifier for the comment.
releases.comments:write
curl -X DELETE \ "https://api.plane.so/api/v1/workspaces/my-workspace/releases/a1b2c3d4-e5f6-7890-abcd-ef1234567890/comments/c0ffee00-1111-2222-3333-444444444444/" \ -H "X-API-Key: $PLANE_API_KEY" \ # Or use -H "Authorization: Bearer $PLANE_OAUTH_TOKEN" \
import requests response = requests.delete( "https://api.plane.so/api/v1/workspaces/my-workspace/releases/a1b2c3d4-e5f6-7890-abcd-ef1234567890/comments/c0ffee00-1111-2222-3333-444444444444/", headers={"X-API-Key": "your-api-key"} ) print(response.json())
const response = await fetch( "https://api.plane.so/api/v1/workspaces/my-workspace/releases/a1b2c3d4-e5f6-7890-abcd-ef1234567890/comments/c0ffee00-1111-2222-3333-444444444444/", { method: "DELETE", headers: { "X-API-Key": "your-api-key", }, }, ); const data = await response.json();
// 204 No Content
Delete a release comment
Permanently deletes a comment from a release. This action cannot be undone.
Path Parameters
workspace_slug:requiredstringThe workspace_slug represents the unique workspace identifier for a workspace in Plane. It can be found in the URL. For example, in the URL
https://app.plane.so/my-team/projects/, the workspace slug ismy-team.release_id:requiredstringThe unique identifier for the release.
comment_id:requiredstringThe unique identifier for the comment.
Scopes
releases.comments:write